## Single header image resampling
This is a demo of the image resampling logic that ships within the [Imagine Framework](http://bertolami.com/index.php?engine=portfolio&content=computer-graphics&detail=imagine-framework). This simple utility enables you to resize bitmap images using a number of different sampling kernels. The source code for this app is available [here](https://github.com/ramenhut/single-header-image-resampler). 

### Supported image data formats:
This resampler supports the most common raw image format around: **three channel with 8 bits per channel color** (e.g. RGB24 aka RGB8). If you need support for other formats you could check out [Imagine](http://bertolami.com/index.php?engine=portfolio&content=computer-graphics&detail=imagine-framework), which supports a broad variety of configurable formats.

### Supported resampling methods:
Choose from any of the following sampling methods. For more information about how each of these works, check out [this blog post](http://bertolami.com/index.php?engine=blog&content=posts&detail=inside-imagine-kernels).
* Nearest
* Average
* Bilinear
* Bicubic
* Mitchell-Netravali
* Cardinal
* B-Spline
* Lanczos (1 through 5 steps)
* Catmull-Rom
* Gaussian

## Platform Support
This pre-built binary is currently *only available for Windows*. If you'd like to use this on other platforms your best bet is to recompile the app yourself.

## Usage
```
  Usage: image-resampler-x64.exe [options]
  --src [source filename]       Source image to load.
  --dst [dest filename]         Destination image to save.
  --width [integer]             Sets the width of the output image.
  --height [integer]            Sets the height of the output image.
  --kernel [integer]            Specifies the kernel type.
      1: nearest
      2: average
      3: bilinear
      4: bicubic
      5: Mitchell-Netravali
      6: Cardinal
      7: B-Spline
      8: Lanczos
      9: Lanczos-2
      10: Lanczos-3
      11: Lanczos-4
      12: Lanczos-5
      13: Catrom
      14: Gaussian
```

## More Information
For more information visit [http://www.bertolami.com](http://bertolami.com).